package model

import (
	operationPb "kpt-tmr-group/proto/go/backend/operation"
)

type SystemMenu struct {
	Id        int64                   `json:"id,omitempty"`
	Name      string                  `json:"name,omitempty"`
	MenuType  int32                   `json:"menu_type,omitempty"`
	GroupType int32                   `json:"group_type,omitempty"`
	Title     string                  `json:"title,omitempty"`
	Path      string                  `json:"path,omitempty"`
	IsShow    operationPb.IsShow_Kind `json:"is_show,omitempty"`
	Component string                  `json:"component,omitempty"`
	Icon      string                  `json:"icon,omitempty"`
	Sort      int32                   `json:"sort,omitempty"`
	ParentId  int64                   `json:"parent_id"`
	Redirect  string                  `json:"redirect,omitempty"`
	CreatedAt int64                   `json:"created_at,omitempty"`
	UpdatedAt int64                   `json:"updated_at,omitempty"`
}

func (s *SystemMenu) TableName() string {
	return "system_role"
}
